Events.TransferTopics (The Data Transfer Agent Service 2.1.3-4.7.1-132914 API)
Date: 2017-10-17

org.gcube.datatransfer.agent.impl.event

## Enum Events.TransferTopics

- java.lang.Object
- - java.lang.Enum<Events.TransferTopics>
  - - org.gcube.datatransfer.agent.impl.event.Events.TransferTopics

- All Implemented Interfaces:
    Serializable, Comparable<Events.TransferTopics>, org.gcube.common.core.utils.events.GCUBETopic
  Enclosing class:
    Events

      public static enum Events.TransferTopics
      extends Enum<Events.TransferTopics>
      implements org.gcube.common.core.utils.events.GCUBETopic

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TRANSFER_CANCEL`
    `TRANSFER_END`
    `TRANSFER_FAIL`
    `TRANSFER_START`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Events.TransferTopics` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Events.TransferTopics[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRANSFER_START

          public static final Events.TransferTopics TRANSFER_START

    - #### TRANSFER_END

          public static final Events.TransferTopics TRANSFER_END

    - #### TRANSFER_FAIL

          public static final Events.TransferTopics TRANSFER_FAIL

    - #### TRANSFER_CANCEL

          public static final Events.TransferTopics TRANSFER_CANCEL

  - ### Method Detail

    - #### values

          public static Events.TransferTopics[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Events.TransferTopics c : Events.TransferTopics.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Events.TransferTopics valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017. All Rights Reserved.